Skip to main content

Authentication

Overview​

NERM supports two authentication methods to allow customers to authenticate to NERM API endpoints:

  1. NERM API Key (Legacy) - NERM-specific bearer tokens
  2. SailPoint Human Fabric (SHF) API Token (Recommended) - OAuth 2.0 JWT access tokens from SHF

Both authentication methods use bearer tokens in the request header.

Authentication Methods​

NERM API Key Authentication​

NERM-specific bearer tokens can be generated by following the instructions here.

Example​

To use your NERM bearer token, provide it in the header with the request:

curl --location 'https://mycompany.nonemployee.com/api/v1/non-employee-sources' \
--header 'Authorization: Bearer {nerm_token}'

More Information​

For detailed information about SHF authentication methods, grant flows, and troubleshooting, refer to the SHF Authentication Guide.

For information about authorization and scopes, refer to the SHF Authorization Guide.